// Solution E2.1:  DisplayDimensions.cpp
// Example program to display the dimensions of a letter-sized 
// sheet of paper in millimeters.

#include <iostream>

using namespace std;

int main()
{ 
   // Define a constant for the conversion to metric
   const double INCHES_TO_MILLIMETERS = 25.4;

   // Define constants for paper size in inches
   const double PAPER_WIDTH_IN = 8.5;
   const double PAPER_LENGTH_IN = 11.0;

   // Define variables for millimeters and convert
   double paper_width_mm = PAPER_WIDTH_IN * INCHES_TO_MILLIMETERS;
   double paper_length_mm = PAPER_LENGTH_IN * INCHES_TO_MILLIMETERS;

   // Display (print to screen) the dimensions in mm
   cout << "The metric dimensions of a letter-sized sheet of paper are "
        << paper_width_mm << " mm by " 
        << paper_length_mm << " mm." << endl;
   return 0;
}


