// Solution E2.16:  MilitaryTime.cpp
// Compute the number of hours and minutes between two military times.
//  This version of the program works regardless of the order of 
// the two times.

#include <iostream>
using namespace std;
int main()
{
   cout << "Enter time 1 in military format (e.g., 1730): ";
   int time1;
   cin >> time1;

   cout << "Enter time 2 in military format: ";
   int time2;
   cin >> time2;

   // Convert time to minutes
   int hours1 = time1 / 100;
   int minutes1 = (time1 % 100) + (hours1 * 60);

   int hours2 = time2 / 100;
   int minutes2 = (time2 % 100) + (hours2 * 60);

   // Extra credit! There are 1440 minutes in a day.
   // To have a solution that works for the case when
   // time2 is less than time1 as well as vice versa,
   // add 1440 and then modulo by 1440 to get the right
   // answer
   int diff = (minutes2 - minutes1 + 1440) % 1440;

   // Convert minutes back into hours and minutes
   int hours3 = diff / 60;
   int minutes3 = diff % 60;

   cout << hours3 << " hours" << endl 
   << minutes3 << " minutes" << endl;
   return 0;
}


