// Solution E2.18: ConvertToMonth.cpp
// Display the month name corresponding to a month number. 

/*
   Note:
   1. Each month name is padded with blanks take up 9 spaces
   2. A long string can be displayed on two (or more) lines 
   as shown in the example below by using two sets of double 
   quotes on each line. 
   3.: Subtract 1 from the month number because the string 
   starts with position 0, not position 1.
*/

#include <iostream>
#include <string>

using namespace std;
int main()
{
   const string months =
   "January  February March    April    May      June     "
   "July     August   SeptemberOctober  November December ";

   cout << "Enter the month number (1-12): ";
   int monNum;
   cin >> monNum;

   // Compute the offset of month numbered monNom 
   // via 9*(monNum -1)

   string month = months.substr(9*(monNum - 1), 9);

   cout << month << endl;
   return 0;
}


