// Solution P10:  CalculateDewPoint.cpp
// Calculate dew point given relative humidiy 

#include <iostream>
#include <cmath>

using namespace std;

int main()
{
   const double A = 17.27;
   const double B = 237.7;

   cout << "Relative humidity (between 0 and 1): ";
   double relative_humidity;
   cin >> relative_humidity;

   cout << "Temperature (in degrees C): ";
   double temperature;
   cin >> temperature;

   double f = (A * temperature)/(B + temperature) + log(relative_humidity);

   double dew_point = (B * f) / (A - f);

   cout << "Dew point: " << dew_point << endl;

   return 0;
}


