// Solution EP2.26: ComputeLiquidTemperature.cpp
// Example program to compute liquid temperature.

#include <iostream>
#include <cmath>

using namespace std;

int main()
{
   const double R0 = 1075;
   const double C_TO_K = 273;
   const double T0 = 85 + C_TO_K;
   const double beta = 3969;

   cout << "Thermistor resistance: ";
   double R;
   cin >> R;

   double liquid_temperature = (beta * T0) / (T0 * log(R / R0) + beta) - C_TO_K;

   cout << "Liquid temperature: " << liquid_temperature << endl;

   return 0;
}


