// Solution P2.13: 
// Design a tuning circuit.

#include <iostream>
#include <cmath>

using namespace std;

int main()
{

   double f; // try 1.67E6;
   cout << "Enter f (in Hz): ";
   cin >> f;

   double c_min; // try 14E-12;
   cout << "Enter C_min (in F): ";
   cin >> c_min;

   double c_max; // try 365E-12;
   cout << "Enter C_max (in F): ";
   cin >> c_max;

   const double c = sqrt(c_min * c_max);
   const double PI = 3.14159265358979323846;

   double L = 4 * PI * PI / (f * f * c);
   double f_min = 2 * PI / sqrt(L * c_max);
   double f_max = 2 * PI / sqrt(L * c_min);

   cout << "L = " << L << " H." << endl;
   cout << f_min << " Hz < f < " << f_max << " Hz." << endl;
}


