// Solution E2.9: MakeChange.cpp
// Example program that extends How To 2.1 so that it can take 
// quarters, as well as dollars. 
// To do this, change the bill_value variable to a double 
// (to allow for increments of 0.25) and rename it cash_value.

#include <iostream>
#include <iomanip>

using namespace std;
int main()
{
   const int PENNIES_PER_DOLLAR = 100;
   const int PENNIES_PER_QUARTER = 25;

   cout << "Enter value " 
        << "(0.25 = quarter, 1.25 = $1.25, 5 = $5 bill, etc.): ";
   double cash_value;
   cin >> cash_value;
   
   cout << "Enter item price in pennies: ";
   int item_price;
   cin >> item_price;
   
   int amount_due = PENNIES_PER_DOLLAR * cash_value - item_price;
   int dollar_coins = amount_due / PENNIES_PER_DOLLAR;
   amount_due = amount_due % PENNIES_PER_DOLLAR;

   int quarters = amount_due / PENNIES_PER_QUARTER;
   cout << "Dollar coins: " << setw(6) << dollar_coins << endl
        << "Quarters: " << setw(6) << quarters << endl;

   return 0;
}
   
