// Solution EP2.27:  CalculatePowerFactor.cpp
// Example program to calculate source voltage.

#include <iostream>
#include <cmath>

using namespace std;

int main()
{
   const double P = 260.;
   const double R = 10;
   const double Vt = 120.;
   
   double pf;
   cout << "Enter the power factor, pf: " ;
   cin >> pf;

   double term1 = Vt + 2 * R * P / Vt;
   double term2 = (2 * R * P) / (Vt * pf);
   double Vs = sqrt(term1 * term1 + term2 * term2 * (1 - pf * pf));
   
   cout << "P = " << P << " W, R = " << R << " Ohms, and Vt = " 
   << Vt << " Vrms" << endl;
   cout << "Vs = "<< Vs << " Vrms"<< endl;
}


